package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @author tianhua
 * @time 2023/7/26
 * @Description 游戏每日数据总计一栏
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameDataDayTotalVO {

    /**
     * 消耗
     */
    @ApiModelProperty(value = "消耗")
    private BigDecimal cost;

    /**
     * 买量注册人数
     */
    @ApiModelProperty(value = "注册人数（买量）")
    private Long buyRegNum;

    /**
     * 自然量注册人数
     */
    @ApiModelProperty(value = "注册人数（自然量）")
    private Long natureRegNum;

    /**
     * 注册人数（总）
     */
    @ApiModelProperty(value = "注册人数（总量）")
    private Long regNum;

    /**
     * 首日新用户充值次数（买量）
     */
    @ApiModelProperty(value = "首日新用户充值次数（买量）")
    private Long buyFirstNewUserAmountCount;

    /**
     * 首日新用户充值人数（买量）
     */
    @ApiModelProperty(value = "首日新用户充值人数（买量）")
    private Long buyFirstNewUserAmountNum;

    /**
     * 首日新用户充值金额（买量）
     */
    @ApiModelProperty(value = "首日新用户充值金额（买量）")
    private BigDecimal buyFirstNewUserAmount;

    /**
     * 老用户充值次数（买量）
     */
    @ApiModelProperty(value = "老用户充值次数（买量）")
    private Long buyOldUserCount;

    /**
     * 老用户充值人数（买量）
     */
    @ApiModelProperty(value = "老用户充值人数（买量）")
    private Long buyOldUserNum;

    /**
     * 老用户充值金额（买量）
     */
    @ApiModelProperty(value = "老用户充值金额（买量）")
    private BigDecimal buyOldUserAmount;

    /**
     * 账面充值次数（买量）
     */
    @ApiModelProperty(value = "账面充值次数（买量）")
    private Long buyAmountCount;

    /**
     * 账面充值人数（买量）
     */
    @ApiModelProperty(value = "账面充值人数（买量）")
    private Long buyAmountNum;

    /**
     * 账面充值金额（买量）
     */
    @ApiModelProperty(value = "账面充值金额（买量）")
    private BigDecimal buyAmount;

    /**
     * 新用户累计充值次数（买量）
     */
    @ApiModelProperty(value = "新用户累计充值次数（买量）")
    private Long buyNewUserTotalAmountCount;

    /**
     * 新用户累计充值人数（买量）
     */
    @ApiModelProperty(value = "新用户累计充值人数（买量）")
    private Long buyNewUserTotalAmountNum;

    /**
     * 新用户累计充值金额（买量）
     */
    @ApiModelProperty(value = "新用户累计充值金额（买量）")
    private BigDecimal buyNewUserTotalAmount;

    /**
     * 首日付费率（买量）
     */
    @ApiModelProperty(value = "首日付费率（买量）")
    private BigDecimal buyFirstRoi;

    /**
     * 当天付费率（买量）
     */
    @ApiModelProperty(value = "当天付费率（买量）")
    private BigDecimal buyTodayRoi;

    /**
     * 新用户付费比（买量）
     */
    @ApiModelProperty(value = "新用户付费比（买量）")
    private BigDecimal buyNewUserRate;

    /**
     * 首日客单价（买量）
     */
    @ApiModelProperty(value = "首日客单价（买量）")
    private BigDecimal buyFirstAvgAmount;

    /**
     * 当天客单价（买量）
     */
    @ApiModelProperty(value = "当天客单价（买量）")
    private BigDecimal buyTodayAvgAmount;

    /**
     * 账面客单价（买量）
     */
    @ApiModelProperty(value = "账面客单价（买量）")
    private BigDecimal buyAvgAmount;

    /**
     * 复充率（买量）
     */
    @ApiModelProperty(value = "复充率（买量）")
    private BigDecimal buyUserAgainRate;

    /**
     * 新增注册ARPU（买量）
     */
    @ApiModelProperty(value = "新增注册ARPU（买量）")
    private BigDecimal buyRegUserArpu;

    /**
     * 首日付费ARPU（买量）
     */
    @ApiModelProperty(value = "首日付费ARPU（买量）")
    private BigDecimal buyFirstAmountArpu;

    /**
     * 当天付费ARPU（买量）
     */
    @ApiModelProperty(value = "当天付费ARPU（买量）")
    private BigDecimal buyTodayAmountArpu;

    /**
     * 账面ARPU（买量）
     */
    @ApiModelProperty(value = "账面ARPU（买量）")
    private BigDecimal buyAmountArpu;

    /**
     * 首日新用户充值次数（自然量）
     */
    @ApiModelProperty(value = "首日新用户充值次数（自然量）")
    private Long natureFirstNewUserAmountCount;

    /**
     * 首日新用户充值人数（自然量）
     */
    @ApiModelProperty(value = "首日新用户充值人数（自然量）")
    private Long natureFirstNewUserAmountNum;

    /**
     * 首日新用户充值金额（自然量）
     */
    @ApiModelProperty(value = "首日新用户充值金额（自然量）")
    private BigDecimal natureFirstNewUserAmount;

    /**
     * 老用户充值次数（自然量）
     */
    @ApiModelProperty(value = "老用户充值次数（自然量）")
    private Long natureOldUserCount;

    /**
     * 老用户充值人数（自然量）
     */
    @ApiModelProperty(value = "老用户充值人数（自然量）")
    private Long natureOldUserNum;

    /**
     * 老用户充值金额（自然量）
     */
    @ApiModelProperty(value = "老用户充值金额（自然量）")
    private BigDecimal natureOldUserAmount;

    /**
     * 账面充值次数（自然量）
     */
    @ApiModelProperty(value = "账面充值次数（自然量）")
    private Long natureAmountCount;

    /**
     * 账面充值人数（自然量）
     */
    @ApiModelProperty(value = "账面充值人数（自然量）")
    private Long natureAmountNum;

    /**
     * 账面充值金额（自然量）
     */
    @ApiModelProperty(value = "账面充值金额（自然量）")
    private BigDecimal natureAmount;

    /**
     * 新用户累计充值次数（自然量）
     */
    @ApiModelProperty(value = "新用户累计充值次数（自然量）")
    private Long natureNewUserTotalAmountCount;

    /**
     * 新用户累计充值人数（自然量）
     */
    @ApiModelProperty(value = "新用户累计充值人数（自然量）")
    private Long natureNewUserTotalAmountNum;

    /**
     * 新用户累计充值金额（自然量）
     */
    @ApiModelProperty(value = "新用户累计充值金额（自然量）")
    private BigDecimal natureNewUserTotalAmount;

    /**
     * 首日付费率（自然量）
     */
    @ApiModelProperty(value = "首日付费率（自然量）")
    private BigDecimal natureFirstRoi;

    /**
     * 当天付费率（自然量）
     */
    @ApiModelProperty(value = "当天付费率（自然量）")
    private BigDecimal natureTodayRoi;

    /**
     * 新用户付费比（自然量）
     */
    @ApiModelProperty(value = "新用户付费比（自然量）")
    private BigDecimal natureNewUserRate;

    /**
     * 首日客单价（自然量）
     */
    @ApiModelProperty(value = "首日客单价（自然量）")
    private BigDecimal natureFirstAvgAmount;

    /**
     * 当天客单价（自然量）
     */
    @ApiModelProperty(value = "当天客单价（自然量）")
    private BigDecimal natureTodayAvgAmount;

    /**
     * 账面客单价（自然量）
     */
    @ApiModelProperty(value = "账面客单价（自然量）")
    private BigDecimal natureAvgAmount;

    /**
     * 复充率（自然量）
     */
    @ApiModelProperty(value = "复充率（自然量）")
    private BigDecimal natureUserAgainRate;

    /**
     * 新增注册ARPU（自然量）
     */
    @ApiModelProperty(value = "新增注册ARPU（自然量）")
    private BigDecimal natureRegUserArpu;

    /**
     * 首日付费ARPU（自然量）
     */
    @ApiModelProperty(value = "首日付费ARPU（自然量）")
    private BigDecimal natureFirstAmountArpu;

    /**
     * 当天付费ARPU（自然量）
     */
    @ApiModelProperty(value = "当天付费ARPU（自然量）")
    private BigDecimal natureTodayAmountArpu;

    /**
     * 账面ARPU（自然量）
     */
    @ApiModelProperty(value = "账面ARPU（自然量）")
    private BigDecimal natureAmountArpu;

    /**
     * 首日新用户充值次数（总量）
     */
    @ApiModelProperty(value = "首日新用户充值次数（总量）")
    private Long firstNewUserAmountCount;

    /**
     * 首日新用户充值人数（总量）
     */
    @ApiModelProperty(value = "首日新用户充值人数（总量）")
    private Long firstNewUserAmountNum;

    /**
     * 首日新用户充值金额（总量）
     */
    @ApiModelProperty(value = "首日新用户充值金额（总量）")
    private BigDecimal firstNewUserAmount;

    /**
     * 老用户充值次数（总量）
     */
    @ApiModelProperty(value = "老用户充值次数（总量）")
    private Long oldUserCount;

    /**
     * 老用户充值人数（总量）
     */
    @ApiModelProperty(value = "老用户充值人数（总量）")
    private Long oldUserNum;

    /**
     * 老用户充值金额（总量）
     */
    @ApiModelProperty(value = "老用户充值金额（总量）")
    private BigDecimal oldUserAmount;

    /**
     * 账面充值次数（总量）
     */
    @ApiModelProperty(value = "账面充值次数（总量）")
    private Long amountCount;

    /**
     * 账面充值人数（总量）
     */
    @ApiModelProperty(value = "账面充值人数（总量）")
    private Long amountNum;

    /**
     * 账面充值金额（总量）
     */
    @ApiModelProperty(value = "账面充值金额（总量）")
    private BigDecimal amount;

    /**
     * 新用户累计充值次数（总量）
     */
    @ApiModelProperty(value = "新用户累计充值次数（总量）")
    private Long newUserTotalAmountCount;

    /**
     * 新用户累计充值人数（总量）
     */
    @ApiModelProperty(value = "新用户累计充值人数（总量）")
    private Long newUserTotalAmountNum;

    /**
     * 新用户累计充值金额（总量）
     */
    @ApiModelProperty(value = "新用户累计充值金额（总量）")
    private BigDecimal newUserTotalAmount;

    /**
     * 首日付费率（总量）
     */
    @ApiModelProperty(value = "首日付费率（总量）")
    private BigDecimal firstRoi;

    /**
     * 当天付费率（总量）
     */
    @ApiModelProperty(value = "当天付费率（总量）")
    private BigDecimal todayRoi;

    /**
     * 新用户付费比（总量）
     */
    @ApiModelProperty(value = "新用户付费比（总量）")
    private BigDecimal newUserRate;

    /**
     * 首日客单价（总量）
     */
    @ApiModelProperty(value = "首日客单价（总量）")
    private BigDecimal firstAvgAmount;

    /**
     * 当天客单价（总量）
     */
    @ApiModelProperty(value = "当天客单价（总量）")
    private BigDecimal todayAvgAmount;

    /**
     * 账面客单价（总量）
     */
    @ApiModelProperty(value = "账面客单价（总量）")
    private BigDecimal avgAmount;

    /**
     * 复充率（总量）
     */
    @ApiModelProperty(value = "复充率（总量）")
    private BigDecimal userAgainRate;

    /**
     * 新增注册ARPU（总量）
     */
    @ApiModelProperty(value = "新增注册ARPU（总量）")
    private BigDecimal regUserArpu;

    /**
     * 首日付费ARPU（总量）
     */
    @ApiModelProperty(value = "首日付费ARPU（总量）")
    private BigDecimal firstAmountArpu;

    /**
     * 当天付费ARPU（总量）
     */
    @ApiModelProperty(value = "当天付费ARPU（总量）")
    private BigDecimal todayAmountArpu;

    /**
     * 账面ARPU（总量）
     */
    @ApiModelProperty(value = "账面ARPU（总量）")
    private BigDecimal amountArpu;

    /**
     * 付费趋势：1天（买量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：1天（买量）金额/人数/增/回/倍")
    private String buyAmountD1;

    /**
     * 付费趋势：2天（买量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：2天（买量）金额/人数/增/回/倍")
    private String buyAmountD2;

    /**
     * 付费趋势：3天（买量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：3天（买量）金额/人数/增/回/倍")
    private String buyAmountD3;

    /**
     * 付费趋势：4天（买量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：4天（买量）金额/人数/增/回/倍")
    private String buyAmountD4;

    /**
     * 付费趋势：5天（买量）金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "(不展示)付费趋势：5天（买量）金额/人数/增/回/倍")
    private String buyAmountD5;

    /**
     * 付费趋势：6天（买量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：6天（买量）金额/人数/增/回/倍")
    private String buyAmountD6;

    /**
     * 付费趋势：7天（买量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：7天（买量）金额/人数/增/回/倍")
    private String buyAmountD7;

    /**
     * 付费趋势：8天（买量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：8天（买量）金额/人数/增/回/倍")
    private String buyAmountD8;

    /**
     * 付费趋势：9天（买量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：9天（买量）金额/人数/增/回/倍")
    private String buyAmountD9;

    /**
     * 付费趋势：10天（买量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：10天（买量）金额/人数/增/回/倍")
    private String buyAmountD10;

    /**
     * 付费趋势：11天（买量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：11天（买量）金额/人数/增/回/倍")
    private String buyAmountD11;

    /**
     * 付费趋势：12天（买量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：12天（买量）金额/人数/增/回/倍")
    private String buyAmountD12;

    /**
     * 付费趋势：13天（买量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：13天（买量）金额/人数/增/回/倍")
    private String buyAmountD13;

    /**
     * 付费趋势：14天（买量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：14天（买量）金额/人数/增/回/倍")
    private String buyAmountD14;

    /**
     * 付费趋势：15天（买量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：15天（买量）金额/人数/增/回/倍")
    private String buyAmountD15;

    /**
     * 付费趋势：16天（买量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：16天（买量）金额/人数/增/回/倍")
    private String buyAmountD16;

    /**
     * 付费趋势：17天（买量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：17天（买量）金额/人数/增/回/倍")
    private String buyAmountD17;

    /**
     * 付费趋势：18天（买量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：18天（买量）金额/人数/增/回/倍")
    private String buyAmountD18;

    /**
     * 付费趋势：19天（买量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：19天（买量）金额/人数/增/回/倍")
    private String buyAmountD19;

    /**
     * 付费趋势：20天（买量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：20天（买量）金额/人数/增/回/倍")
    private String buyAmountD20;

    /**
     * 付费趋势：21天（买量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：21天（买量）金额/人数/增/回/倍")
    private String buyAmountD21;

    /**
     * 付费趋势：22天（买量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：22天（买量）金额/人数/增/回/倍")
    private String buyAmountD22;

    /**
     * 付费趋势：23天（买量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：23天（买量）金额/人数/增/回/倍")
    private String buyAmountD23;

    /**
     * 付费趋势：24天（买量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：24天（买量）金额/人数/增/回/倍")
    private String buyAmountD24;

    /**
     * 付费趋势：25天（买量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：25天（买量）金额/人数/增/回/倍")
    private String buyAmountD25;

    /**
     * 付费趋势：26天（买量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：26天（买量）金额/人数/增/回/倍")
    private String buyAmountD26;

    /**
     * 付费趋势：27天（买量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：27天（买量）金额/人数/增/回/倍")
    private String buyAmountD27;

    /**
     * 付费趋势：28天（买量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：28天（买量）金额/人数/增/回/倍")
    private String buyAmountD28;

    /**
     * 付费趋势：29天（买量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：29天（买量）金额/人数/增/回/倍")
    private String buyAmountD29;

    /**
     * 付费趋势：1个月（买量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：1个月（买量）金额/人数/增/回/倍")
    private String buyAmountM1;

    /**
     * 付费趋势：2个月（买量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：2个月（买量）金额/人数/增/回/倍")
    private String buyAmountM2;

    /**
     * 付费趋势：3个月（买量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：3个月（买量）金额/人数/增/回/倍")
    private String buyAmountM3;

    /**
     * 付费趋势：6个月（买量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：6个月（买量）金额/人数/增/回/倍")
    private String buyAmountM6;

    /**
     * 付费趋势：总（买量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：总（买量）金额/人数/增/回/倍")
    private String buyAmountSum;

    /**
     * 付费趋势：1天（自然量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：1天（自然量）金额/人数/增/回/倍")
    private String natureAmountD1;

    /**
     * 付费趋势：2天（自然量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：2天（自然量）金额/人数/增/回/倍")
    private String natureAmountD2;

    /**
     * 付费趋势：3天（自然量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：3天（自然量）金额/人数/增/回/倍")
    private String natureAmountD3;

    /**
     * 付费趋势：4天（自然量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：4天（自然量）金额/人数/增/回/倍")
    private String natureAmountD4;

    /**
     * 付费趋势：5天（自然量）金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "(不展示)付费趋势：5天（自然量）金额/人数/增/回/倍")
    private String natureAmountD5;

    /**
     * 付费趋势：6天（自然量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：6天（自然量）金额/人数/增/回/倍")
    private String natureAmountD6;

    /**
     * 付费趋势：7天（自然量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：7天（自然量）金额/人数/增/回/倍")
    private String natureAmountD7;

    /**
     * 付费趋势：8天（自然量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：8天（自然量）金额/人数/增/回/倍")
    private String natureAmountD8;

    /**
     * 付费趋势：9天（自然量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：9天（自然量）金额/人数/增/回/倍")
    private String natureAmountD9;

    /**
     * 付费趋势：10天（自然量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：10天（自然量）金额/人数/增/回/倍")
    private String natureAmountD10;

    /**
     * 付费趋势：11天（自然量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：11天（自然量）金额/人数/增/回/倍")
    private String natureAmountD11;

    /**
     * 付费趋势：12天（自然量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：12天（自然量）金额/人数/增/回/倍")
    private String natureAmountD12;

    /**
     * 付费趋势：13天（自然量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：13天（自然量）金额/人数/增/回/倍")
    private String natureAmountD13;

    /**
     * 付费趋势：14天（自然量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：14天（自然量）金额/人数/增/回/倍")
    private String natureAmountD14;

    /**
     * 付费趋势：15天（自然量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：15天（自然量）金额/人数/增/回/倍")
    private String natureAmountD15;

    /**
     * 付费趋势：16天（自然量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：16天（自然量）金额/人数/增/回/倍")
    private String natureAmountD16;

    /**
     * 付费趋势：17天（自然量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：17天（自然量）金额/人数/增/回/倍")
    private String natureAmountD17;

    /**
     * 付费趋势：18天（自然量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：18天（自然量）金额/人数/增/回/倍")
    private String natureAmountD18;

    /**
     * 付费趋势：19天（自然量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：19天（自然量）金额/人数/增/回/倍")
    private String natureAmountD19;

    /**
     * 付费趋势：20天（自然量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：20天（自然量）金额/人数/增/回/倍")
    private String natureAmountD20;

    /**
     * 付费趋势：21天（自然量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：21天（自然量）金额/人数/增/回/倍")
    private String natureAmountD21;

    /**
     * 付费趋势：22天（自然量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：22天（自然量）金额/人数/增/回/倍")
    private String natureAmountD22;

    /**
     * 付费趋势：23天（自然量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：23天（自然量）金额/人数/增/回/倍")
    private String natureAmountD23;

    /**
     * 付费趋势：24天（自然量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：24天（自然量）金额/人数/增/回/倍")
    private String natureAmountD24;

    /**
     * 付费趋势：25天（自然量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：25天（自然量）金额/人数/增/回/倍")
    private String natureAmountD25;

    /**
     * 付费趋势：26天（自然量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：26天（自然量）金额/人数/增/回/倍")
    private String natureAmountD26;

    /**
     * 付费趋势：27天（自然量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：27天（自然量）金额/人数/增/回/倍")
    private String natureAmountD27;

    /**
     * 付费趋势：28天（自然量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：28天（自然量）金额/人数/增/回/倍")
    private String natureAmountD28;

    /**
     * 付费趋势：29天（自然量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：29天（自然量）金额/人数/增/回/倍")
    private String natureAmountD29;

    /**
     * 付费趋势：1个月（自然量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：1个月（自然量）金额/人数/增/回/倍")
    private String natureAmountM1;

    /**
     * 付费趋势：2个月（自然量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：2个月（自然量）金额/人数/增/回/倍")
    private String natureAmountM2;

    /**
     * 付费趋势：3个月（自然量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：3个月（自然量）金额/人数/增/回/倍")
    private String natureAmountM3;

    /**
     * 付费趋势：6个月（自然量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：6个月（自然量）金额/人数/增/回/倍")
    private String natureAmountM6;

    /**
     * 付费趋势：总（自然量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：总（自然量）金额/人数/增/回/倍")
    private String natureAmountSum;

    /**
     * 付费趋势：1天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：1天（总量）金额/人数/增/回/倍")
    private String amountD1;

    /**
     * 付费趋势：2天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：2天（总量）金额/人数/增/回/倍")
    private String amountD2;

    /**
     * 付费趋势：3天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：3天（总量）金额/人数/增/回/倍")
    private String amountD3;

    /**
     * 付费趋势：4天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：4天（总量）金额/人数/增/回/倍")
    private String amountD4;

    /**
     * 付费趋势：5天（总量）金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "(不展示)付费趋势：5天（总量）金额/人数/增/回/倍")
    private String amountD5;

    /**
     * 付费趋势：6天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：6天（总量）金额/人数/增/回/倍")
    private String amountD6;

    /**
     * 付费趋势：7天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：7天（总量）金额/人数/增/回/倍")
    private String amountD7;

    /**
     * 付费趋势：8天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：8天（总量）金额/人数/增/回/倍")
    private String amountD8;

    /**
     * 付费趋势：9天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：9天（总量）金额/人数/增/回/倍")
    private String amountD9;

    /**
     * 付费趋势：10天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：10天（总量）金额/人数/增/回/倍")
    private String amountD10;

    /**
     * 付费趋势：11天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：11天（总量）金额/人数/增/回/倍")
    private String amountD11;

    /**
     * 付费趋势：12天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：12天（总量）金额/人数/增/回/倍")
    private String amountD12;

    /**
     * 付费趋势：13天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：13天（总量）金额/人数/增/回/倍")
    private String amountD13;

    /**
     * 付费趋势：14天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：14天（总量）金额/人数/增/回/倍")
    private String amountD14;

    /**
     * 付费趋势：15天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：15天（总量）金额/人数/增/回/倍")
    private String amountD15;

    /**
     * 付费趋势：16天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：16天（总量）金额/人数/增/回/倍")
    private String amountD16;

    /**
     * 付费趋势：17天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：17天（总量）金额/人数/增/回/倍")
    private String amountD17;

    /**
     * 付费趋势：18天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：18天（总量）金额/人数/增/回/倍")
    private String amountD18;

    /**
     * 付费趋势：19天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：19天（总量）金额/人数/增/回/倍")
    private String amountD19;

    /**
     * 付费趋势：20天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：20天（总量）金额/人数/增/回/倍")
    private String amountD20;

    /**
     * 付费趋势：21天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：21天（总量）金额/人数/增/回/倍")
    private String amountD21;

    /**
     * 付费趋势：22天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：22天（总量）金额/人数/增/回/倍")
    private String amountD22;

    /**
     * 付费趋势：23天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：23天（总量）金额/人数/增/回/倍")
    private String amountD23;

    /**
     * 付费趋势：24天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：24天（总量）金额/人数/增/回/倍")
    private String amountD24;

    /**
     * 付费趋势：25天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：25天（总量）金额/人数/增/回/倍")
    private String amountD25;

    /**
     * 付费趋势：26天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：26天（总量）金额/人数/增/回/倍")
    private String amountD26;

    /**
     * 付费趋势：27天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：27天（总量）金额/人数/增/回/倍")
    private String amountD27;

    /**
     * 付费趋势：28天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：28天（总量）金额/人数/增/回/倍")
    private String amountD28;

    /**
     * 付费趋势：29天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：29天（总量）金额/人数/增/回/倍")
    private String amountD29;

    /**
     * 付费趋势：1个月（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：1个月（总量）金额/人数/增/回/倍")
    private String amountM1;

    /**
     * 付费趋势：2个月（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：2个月（总量）金额/人数/增/回/倍")
    private String amountM2;

    /**
     * 付费趋势：3个月（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：3个月（总量）金额/人数/增/回/倍")
    private String amountM3;

    /**
     * 付费趋势：6个月（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：6个月（总量）金额/人数/增/回/倍")
    private String amountM6;

    /**
     * 付费趋势：总（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：总（总量）金额/人数/增/回/倍")
    private String amountSum;

    /**
     * 付费趋势：1天（买量）金额/人数/增/回/倍(展示数据)
     */
    @ApiModelProperty(value = "付费趋势：1天（买量）金额/人数/增/回/倍")
    private RechargeTrendVO buyAmountD1Trend;

    /**
     * 付费趋势：3天（买量）金额/人数/增/回/倍(展示数据)
     */
    @ApiModelProperty(value = "付费趋势：3天（买量）金额/人数/增/回/倍")
    private RechargeTrendVO buyAmountD3Trend;

    /**
     * 付费趋势：5天（买量）金额/人数/增/回/倍(展示数据)
     */
    @ApiModelProperty(value = "付费趋势：5天（买量）金额/人数/增/回/倍")
    private RechargeTrendVO buyAmountD5Trend;

    /**
     * 付费趋势：7天（买量）金额/人数/增/回/倍(展示数据)
     */
    @ApiModelProperty(value = "付费趋势：7天（买量）金额/人数/增/回/倍")
    private RechargeTrendVO buyAmountD7Trend;

    /**
     * 付费趋势：15天（买量）金额/人数/增/回/倍(展示数据)
     */
    @ApiModelProperty(value = "付费趋势：15天（买量）金额/人数/增/回/倍")
    private RechargeTrendVO buyAmountD15Trend;

    /**
     * 付费趋势：1个月（买量）金额/人数/增/回/倍(展示数据)
     */
    @ApiModelProperty(value = "付费趋势：1个月（买量）金额/人数/增/回/倍")
    private RechargeTrendVO buyAmountM1Trend;

    /**
     * 付费趋势：2个月（买量）金额/人数/增/回/倍(展示数据)
     */
    @ApiModelProperty(value = "付费趋势：2个月（买量）金额/人数/增/回/倍")
    private RechargeTrendVO buyAmountM2Trend;

    /**
     * 付费趋势：3个月（买量）金额/人数/增/回/倍(展示数据)
     */
    @ApiModelProperty(value = "付费趋势：3个月（买量）金额/人数/增/回/倍")
    private RechargeTrendVO buyAmountM3Trend;

    /**
     * 付费趋势：6个月（买量）金额/人数/增/回/倍(展示数据)
     */
    @ApiModelProperty(value = "付费趋势：6个月（买量）金额/人数/增/回/倍")
    private RechargeTrendVO buyAmountM6Trend;

    /**
     * 付费趋势：总（买量）金额/人数/增/回/倍(展示数据)
     */
    @ApiModelProperty(value = "付费趋势：总（买量）金额/人数/增/回/倍")
    private RechargeTrendVO buyAmountSumTrend;

    /**
     * 付费趋势：1天（自然量）金额/人数/增/回/倍(展示数据)
     */
    @ApiModelProperty(value = "付费趋势：1天（自然量）金额/人数/增/回/倍")
    private RechargeTrendVO natureAmountD1Trend;

    /**
     * 付费趋势：3天（自然量）金额/人数/增/回/倍(展示数据)
     */
    @ApiModelProperty(value = "付费趋势：3天（自然量）金额/人数/增/回/倍")
    private RechargeTrendVO natureAmountD3Trend;

    /**
     * 付费趋势：5天（自然量）金额/人数/增/回/倍(展示数据)
     */
    @ApiModelProperty(value = "付费趋势：5天（自然量）金额/人数/增/回/倍")
    private RechargeTrendVO natureAmountD5Trend;

    /**
     * 付费趋势：7天（自然量）金额/人数/增/回/倍(展示数据)
     */
    @ApiModelProperty(value = "付费趋势：7天（自然量）金额/人数/增/回/倍")
    private RechargeTrendVO natureAmountD7Trend;

    /**
     * 付费趋势：15天（自然量）金额/人数/增/回/倍(展示数据)
     */
    @ApiModelProperty(value = "付费趋势：15天（自然量）金额/人数/增/回/倍")
    private RechargeTrendVO natureAmountD15Trend;

    /**
     * 付费趋势：1个月（自然量）金额/人数/增/回/倍(展示数据)
     */
    @ApiModelProperty(value = "付费趋势：1个月（自然量）金额/人数/增/回/倍")
    private RechargeTrendVO natureAmountM1Trend;

    /**
     * 付费趋势：2个月（自然量）金额/人数/增/回/倍(展示数据)
     */
    @ApiModelProperty(value = "付费趋势：2个月（自然量）金额/人数/增/回/倍")
    private RechargeTrendVO natureAmountM2Trend;

    /**
     * 付费趋势：3个月（自然量）金额/人数/增/回/倍(展示数据)
     */
    @ApiModelProperty(value = "付费趋势：3个月（自然量）金额/人数/增/回/倍")
    private RechargeTrendVO natureAmountM3Trend;

    /**
     * 付费趋势：6个月（自然量）金额/人数/增/回/倍(展示数据)
     */
    @ApiModelProperty(value = "付费趋势：6个月（自然量）金额/人数/增/回/倍")
    private RechargeTrendVO natureAmountM6Trend;

    /**
     * 付费趋势：总（自然量）金额/人数/增/回/倍(展示数据)
     */
    @ApiModelProperty(value = "付费趋势：总（自然量）金额/人数/增/回/倍")
    private RechargeTrendVO natureAmountSumTrend;

    /**
     * 付费趋势：1天（总量）金额/人数/增/回/倍(展示数据)
     */
    @ApiModelProperty(value = "付费趋势：1天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD1Trend;

    /**
     * 付费趋势：3天（总量）金额/人数/增/回/倍(展示数据)
     */
    @ApiModelProperty(value = "付费趋势：3天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD3Trend;

    /**
     * 付费趋势：5天（总量）金额/人数/增/回/倍(展示数据)
     */
    @ApiModelProperty(value = "付费趋势：5天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD5Trend;

    /**
     * 付费趋势：7天（总量）金额/人数/增/回/倍(展示数据)
     */
    @ApiModelProperty(value = "付费趋势：7天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD7Trend;

    /**
     * 付费趋势：15天（总量）金额/人数/增/回/倍(展示数据)
     */
    @ApiModelProperty(value = "付费趋势：15天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD15Trend;

    /**
     * 付费趋势：1个月（总量）金额/人数/增/回/倍(展示数据)
     */
    @ApiModelProperty(value = "付费趋势：1个月（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountM1Trend;

    /**
     * 付费趋势：2个月（总量）金额/人数/增/回/倍(展示数据)
     */
    @ApiModelProperty(value = "付费趋势：2个月（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountM2Trend;

    /**
     * 付费趋势：3个月（总量）金额/人数/增/回/倍(展示数据)
     */
    @ApiModelProperty(value = "付费趋势：3个月（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountM3Trend;

    /**
     * 付费趋势：6个月（总量）金额/人数/增/回/倍(展示数据)
     */
    @ApiModelProperty(value = "付费趋势：6个月（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountM6Trend;

    /**
     * 付费趋势：总（总量）金额/人数/增/回/倍(展示数据)
     */
    @ApiModelProperty(value = "付费趋势：总（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountSumTrend;

}
